Nowe posty

Pokaż wiadomości

Ta sekcja pozwala Ci zobaczyć wszystkie wiadomości wysłane przez tego użytkownika. Zwróć uwagę, że możesz widzieć tylko wiadomości wysłane w działach do których masz aktualnie dostęp.


Pokaż wątki - Morgotheron

Strony: [1]
1
Karty graficzne / Instalacja Cuda - ubuntu 18.04
« dnia: 2019-07-17, 13:13:06 »
Dostalem kompa, na ktorym nie wiem co sie dzialo i probuje to ogarnac. Mam zalozone konto z uprawnieniami administratora. Mam Ubuntu w wersji.
kuba@wojtek-Z370-HD3P:~$ lsb_release -a
No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 18.04.2 LTS
Release:   18.04
Codename:   bionic

Problem dotyczy instalacjii CUDA, aby potem wykorzystac karte graficzna do obliczen

Instalacja tym poradnikiem zadziala bardzo dobrze na dwoch innych komputerach, ale na tym skonczyla sie porazka
https://www.youtube.com/watch?v=FK1y7XQuhp0
Kolejne kroki jakie wykonalem
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install build-essential
gcc -v
make -v

potem wpisalem

lspci | grep -i nvidia
nic sie u mnie nie pojawia nie wiem dlaczego!!!!! Mysle, ze w tym moze lezec problem

Dopiero to polecenie pokazuje mi
sudo lshw -c video
[sudo] password for kuba:
  *-display UNCLAIMED       
       description: VGA compatible controller
       product: GP107 [GeForce GTX 1050]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list
       configuration: latency=0
       resources: memory:f6000000-f6ffffff memory:e0000000-efffffff memory:f0000000-f1ffffff ioport:e000(size=128) memory:c0000-dffff


Potem gcc --version i poszlo ok

Potem instalacja ze strony
https://developer.nvidia.com/cuda-downloads?target_os=Linux&target_arch=x86_64&target_distro=Ubuntu&target_version=1804&target_type=deblocal

Installation Instructions:

    `sudo dpkg -i cuda-repo-ubuntu1804-10-1-local-10.1.168-418.67_1.0-1_amd64.deb`
    `sudo apt-key add /var/cuda-repo-<version>/7fa2af80.pub`
    `sudo apt-get update`
    `sudo apt-get install cuda`

Jakies bledy wyskoczyly, ale sie zainstalowalo

Potem

do bashrc dodalem
export PATH=/usr/local/cuda-10.1/bin:$PATH
export LD_LIBRARY_PATH=/usr/local/cuda-10.1/lib64:$LD_LIBRARY_PATH

potem uzylem weryfikacji czy jest zainstalowana cuda
kuba@wojtek-Z370-HD3P:~/samples/1_Utilities/deviceQuery$ ./deviceQuery
./deviceQuery Starting...

 CUDA Device Query (Runtime API) version (CUDART static linking)

cudaGetDeviceCount returned 100
-> no CUDA-capable device is detected
Result = FAIL




Probuje odinstalowac CUDA, ale nie ma pliki deinstalacji w folderze
https://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html#runfile-uninstallation

Zastanawialem sie tez nad uzyciem tego, ale opcja purge podobno jest ryzykowna
 sudo apt-get --purge remove cuda-10.1


Pojawil sie jeszcze jeden problem. Przy kazdym uzyciu apt-get wyswietla mi sie
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 cuda-libraries-dev-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
 cuda-samples-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
 cuda-visual-tools-10-1 : Depends: libcublas-dev (>= 10.2.0.168) but it is not going to be installed
 nvidia-361 : Depends: nvidia-367 but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).


Niestety polecenie nie dziala apt --fix-broken install

dpkg: error processing archive /var/cuda-repo-10-1-local-10.1.168-418.67/./libcublas-dev_10.2.0.168-1_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/libcublas_static.a', which is also in package nvidia-cuda-dev 9.1.85-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cuda-repo-10-1-local-10.1.168-418.67/./libcublas-dev_10.2.0.168-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Strony: [1]